$dark-grey: #333;

.nav-container {
  position: fixed;
  width: 100%;
  height: 70px;
  z-index: 100;
  background-color: #333;

  ul {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0;
    height: 100%;
    li {
      font-size: 20px;
      list-style: none;
    }
    a {
      text-decoration: none;
      color: #000;
      &:hover {
        cursor: pointer;
        color: #fff !important;
      }
    }
  }

  @media (max-width: 800px) {
    & {
      background: transparent;
      visibility: hidden;
    }

    ul {
      visibility: visible;
      position: absolute;
      top: 0;
      right: 0;
      height: 30vh;
      width: 100%;
      box-shadow: 0 0 3em rgba(0, 0, 0, 0.75);
      transform: translateY(-110%);
      transition: transform 300ms cubic-bezier(0.5, 0, 0.5, 1);
      flex-direction: column;
      background-color: #333;
      padding-bottom: 0;
      z-index: 200;

      a {
        color: #000;
        padding: 10px;
        border-radius: 5px;

        &:hover {
          cursor: pointer;
          color: #000;
        }
      }
    }

    #menu-toggle {
      position: absolute;
      top: 1em;
      right: 0;
      transform: translate(0);
      background: #222;
      padding: 1em 0.5em;
      border: 0;
      border-radius: 0.25em 0 0 0.25em;
      cursor: pointer;
      z-index: 201;
      visibility: visible;
    }

    .hamburger {
      display: flex;
      position: relative;
      background: $dark-grey;
      width: 23px;
      height: 2.5px;
      background: #fff;
      transition: transform 350ms ease-in-out, opacity 200ms linear;
      &::before,
      &::after {
        content: "";
        position: absolute;
        left: 0;
        background: $dark-grey;
        width: 23px;
        height: 2.5px;
        background: #fff;
        transition: transform 350ms ease-in-out, opacity 200ms linear;
      }
      &::before {
        bottom: 7px;
      }
      &::after {
        top: 7px;
      }
    }

    &.nav-open {
      ul {
        transform: translateX(0);
      }
      .hamburger {
        transform: rotate(45deg);

        &::before {
          opacity: 0;
        }

        &::after {
          transform: rotate(90deg) translate(-7px);
        }
      }
    }
  }
}
